{-# LANGUAGE NoImplicitPrelude #-}
import Knots.Prelude
import Knots.Table
import Knots.Complex

import Control.Parallel.Strategies
import System.IO
import qualified Data.Map as Map

main :: IO ()
main = do hSetBuffering stdout NoBuffering
          mapM_ printKnot table

printKnot (m,n) = do
    print (m,n)
    mapM_ print . Map.assocs . compute $ knot m n
    putStr "\n\n"

compute pd = fmap cohomology (khCx_Q Nothing pd)
             `using` parTraversable (evalList rseq)
